
QGIS Application - Bug report #20650

Batch processing won't run and exiting tool from batch tab crashes QGIS

2018-11-27 10:02 PM - Matthew Jurewicz

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28470

Description

I set the category as "Processing/Core" but this seems to affect all processing tools.

Associated revisions

Revision d2072512 - 2018-11-29 01:57 AM - Nyall Dawson

[processing] Fix run as batch mode doesn't execute

Fixes #20650

Revision f10b62c3 - 2018-11-29 01:57 AM - Nyall Dawson

[processing] Fix crash on closing batch processing dialog

Refs #20650

Revision 251ee2bd - 2018-11-30 12:54 AM - Nyall Dawson

[processing] Fix run as batch mode doesn't execute

Fixes #20650

(cherry picked from commit d207251251a9067f661a322d22e2cd8a973aa357)

Revision b400156e - 2018-11-30 12:54 AM - Nyall Dawson

[processing] Fix crash on closing batch processing dialog

Refs #20650

(cherry picked from commit f10b62c3809e42b251159d37db0f633859cadc71)

History

#1 - 2018-11-28 01:26 AM - Nyall Dawson

- Status changed from Open to Feedback
Please test with 3.4.2 -- there's been relevant fixes in that release.

#2 - 2018-11-28 05:50 PM - Matthew Jurewicz

Nyall Dawson wrote:

Please test with 3.4.2 -- there's been relevant fixes in that release.

It is still an issue with 3.4.2.

#3 - 2018-11-28 06:51 PM - Philip Kampf

- File qgis_crash_close_processing_20181127.rtf added

Experiencing issue on Mac OS 10.14 using 3.4.2 as well, can depress the run option but nothing happens. Have noticed the 'close' option next to 'run' is

the only reason for crashing, when using the red close window button in top left it does not crash.

Have attached a crash report for the close button issue.

#4 - 2018-11-29 12:23 AM - Nyall Dawson

- Affected QGIS version changed from 3.4.1 to 3.4.2

- Assignee set to Nyall Dawson

#5 - 2018-11-29 12:30 AM - Nyall Dawson

- Status changed from Feedback to In Progress

#6 - 2018-11-29 01:56 AM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|d207251251a9067f661a322d22e2cd8a973aa357.

#7 - 2018-11-29 09:56 AM - Luigi Pirelli

I've a collegue experiencing (version f10b62c), more than crash, the fact that batch processing does nothing... I suppose that this fix would solve the

problem. I'll give more info after next nightly build.

#8 - 2018-11-29 10:03 AM - Luigi Pirelli

Luigi Pirelli wrote:

I've a collegue experiencing (version f10b62c), more than crash, the fact that batch processing does nothing... I suppose that this fix would solve the

problem. I'll give more info after next nightly build.
false alarm sorry... seems working!

Files

qgis_crash_close_processing_20181127.rtf 126 KB 2018-11-28 Philip Kampf

2025-04-27 3/3


